<?php
/**
 * @package n3tTemplate
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2015 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

class n3tTemplateViewCategory extends JViewLegacy 
{
  protected $data;
  protected $lists;

	function display($tpl=null) {    
		n3tTemplateHelperHTML::assets();		
			    
    $user	= JFactory::getUser();
    $model = $this->getModel();
    $app = JFactory::getApplication();
      	
		$this->data = $this->get('data');
		
		if ($this->data->id) 
		  n3tTemplateHelperHTML::toolbarTitle($this->data->title);
		else		
		  n3tTemplateHelperHTML::toolbarTitle(JText::_('COM_N3TTEMPLATE_NEW_CATEGORY'));
		
		if ($model->isCheckedOut( $user->get('id') )) {
			$msg = JText::_( 'COM_N3TTEMPLATE_BEING_EDITED' );			
			$app->redirect( 'index.php?option=com_n3ttemplate'. $option, $msg );
		}
    		
		$this->lists = array();
		$query = 'SELECT ordering AS value, title AS text, plugin'
			. ' FROM #__n3ttemplate_categories'
			. ' WHERE parent_id='.$this->data->parent_id
			. ' AND published>=0'
			. ' ORDER BY ordering';
    $this->lists['ordering'] 			= n3tTemplateHelperHTML::ordering($this->data, $this->data->id, $query);  
		$this->lists['published'] 		= n3tTemplateHelperHTML::booleanList('published', $this->data->published );
		$this->lists['access'] 		    = n3tTemplateHelperHTML::accesslevel( $this->data->access );
		$this->lists['plugin'] 	      = n3tTemplateHelperHTML::pluginsList( 'plugin', $this->data->plugin, 'plugin' );
      							
    $this->addToolbar();
        			
		parent::display($tpl);
	}
	
	function renderParams() {
	  $form = $this->get('Form');
	  if ($form && $this->data->params) {
		  $temp = new JRegistry;
		  $temp->loadString($this->data->params);
      $form->bind($temp);
	  }    
	  $fieldSets = $form->getFieldsets();
		foreach ($fieldSets as $name => $fieldSet) {			
      echo JHtml::_('bootstrap.addTab', 'myTab', $name.'-options', JText::_($fieldSet->label, true));
			if (isset($fieldSet->description) && trim($fieldSet->description)) { ?>
				<p class="alert alert-info"><?php echo $this->escape(JText::_($fieldSet->description));?></p>
			<?php } ?>
			<div class="form-horizontal">
				<?php foreach ($form->getFieldset($name) as $field) { ?>
  				<div class="control-group">
  					<div class="control-label">
              <?php echo $field->label; ?>
            </div>  
            <div class="controls">
              <?php echo $field->input; ?>
            </div>
  				</div>
				<?php } ?>
			</div>
		<?php
      echo JHtml::_('bootstrap.endTab');
    }    

    $plugins = $this->get('Plugins');      
    foreach ($plugins as $plugin) {        		  
      if ($plugin->form) {
      
			  $temp = new JRegistry;
  		  if ($this->data->plugin == $plugin->plugin && $this->data->plugin_params) {
  			  $temp->loadString($this->data->plugin_params);
  		  } else {
  			  $temp->loadString($plugin->params);
        }      
 			  $temp2 = new JRegistry;
 			  $temp2->loadArray(array('params' => $temp->toArray()));             			     			            
        $plugin->form->bind($temp2);                                        
        
        $form = $plugin->form;
    	  $fieldSets = $form->getFieldsets();
    		foreach ($fieldSets as $name => $fieldSet) {			
          echo JHtml::_('bootstrap.addTab', 'myTab', 'plugin-'.$plugin->plugin.'-'.$name.'-options', JText::_('COM_N3TTEMPLATE_PLUGIN', true).' - '.JText::_($fieldSet->label,true));
    			if (isset($fieldSet->description) && trim($fieldSet->description)) { ?>
    				<p class="alert alert-info"><?php echo $this->escape(JText::_($fieldSet->description));?></p>
    			<?php } ?>
    			<div class="form-horizontal">    				
    				<?php foreach ($form->getFieldset($name) as $field) { ?>
              <div class="control-group">
      					<div class="control-label">
                  <?php echo $field->label; ?>
                </div>  
                <div class="controls">
                  <?php echo $field->input; ?>
                </div>
              </div>
    				<?php } ?>    				
    			</div>
    		<?php
          echo JHtml::_('bootstrap.endTab');
        }               
      }
    }      
    echo JHtml::_('sliders.end');
	}

	protected function addToolbar()
	{
		JToolBarHelper::apply();
	  JToolBarHelper::save();	  
    JToolBarHelper::save2new();
    JToolBarHelper::save2copy();
	  JToolBarHelper::divider();
    JToolBarHelper::cancel();
    JToolBarHelper::divider();
    JToolBarHelper::help('category',true);        			
  }

}
